%define rname	switch-locales
%define cid		\{338e0b96-2285-4424-b4c8-e25560750fa3\}
%define ciddir 	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	2.0
Release:	alt3
Summary:	The Locale Switcher extension for Mozilla Firefox

License:	GPL
Group:		Networking/WWW	
URL:		http://www.saintpatrickdc.org/bsmedberg/locale-switcher/
Packager:	Alexey Gladkov <legion@altlinux.ru>
BuildArch:	noarch

Source0:	%rname-%version.xpi

BuildRequires(pre):	rpm-build-firefox
BuildRequires:	unzip
Requires: %firefox_name >= 2.0

%description
Displays a menu item for switching the application locale.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%postun
if [ "$1" = 0 ]; then
	[ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Wed Mar 14 2007 Alexey Gladkov <legion@altlinux.ru> 2.0-alt3
- Fix archive packaging bug.

* Wed Nov 22 2006 Alexey Gladkov <legion@altlinux.ru> 2.0-alt2
- new version (2.0)

* Mon Sep 18 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.1-alt5
- rebuild with firefox 1.5.0.7

* Wed Aug 16 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.1-alt4
- rebuild with firefox 1.5.0.6

* Thu Jun 15 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.1-alt3
- rebuild with firefox 1.5.0.4

* Mon May 15 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.1-alt2
- rebuild with firefox 1.5.0.3

* Mon Feb 20 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.1-alt1
- new version

* Mon Dec 19 2005 Alexey Gladkov <legion@altlinux.ru> 1.5-alt1
- new version

* Thu Nov 10 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 1.0-alt9.1
- rebuild with new firefox.

* Thu Oct 13 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 1.0-alt9
- rebuild with new firefox.

* Fri Aug 26 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt8
- bugfix rebuild.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt7
- bugfix rebuild.

* Mon Aug 08 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt6
- update for new firefox;

* Mon Jun 27 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt5
- update for new firefox;

* Wed Apr 27 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt4
- requires fix;

* Sat Mar 05 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt3.1
- postscript bugfix;

* Fri Feb 25 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt3
- spec bugfix;

* Fri Jan 19 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt2
- rebuild with new firefox.
- Requires to firefox package was relaxed.

* Fri Jan 07 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt1
- first build for ALT Linux.
